libetonyek::IWORKTabularModelElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKTabularModelElement Class Reference

`#include <IWORKTabularModelElement.h>`

Inheritance diagram for libetonyek::IWORKTabularModelElement:

## Public Member Functions
| IWORKTabularModelElement (IWORKXMLParserState &state, bool isDefinition=false)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
void | startOfElement () override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
void | sendStyle (const IWORKStylePtr_t &style, const std::shared_ptr< IWORKTable > &table)

## Private Attributes
bool | m_isDefinition
boost::optional< ID_t > | m_id
boost::optional< std::string > | m_tableName
boost::optional< std::string > | m_tableId
boost::optional< ID_t > | m_styleRef
boost::optional< unsigned > | m_headerColumns
boost::optional< unsigned > | m_headerRows
boost::optional< unsigned > | m_footerRows
std::map< std::pair< unsigned, unsigned >, ID_t > | m_coordinateCommentRefMap

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKTabularModelElement()

libetonyek::IWORKTabularModelElement::IWORKTabularModelElement | ( | IWORKXMLParserState & | state,
|  | bool | isDefinition = false )
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKTabularModelElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKTabularModelElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKTabularModelElement::endOfElement | ( |  | ) |
| overrideprivate

## ◆ sendStyle()

void libetonyek::IWORKTabularModelElement::sendStyle | ( | const IWORKStylePtr_t & | style,
|  | const std::shared_ptr< IWORKTable > & | table )
| private

Referenced by endOfElement().

## ◆ startOfElement()

void libetonyek::IWORKTabularModelElement::startOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_coordinateCommentRefMap

std::map<std::pair<unsigned,unsigned>,ID_t> libetonyek::IWORKTabularModelElement::m_coordinateCommentRefMap
| private

Referenced by element(), and endOfElement().

## ◆ m_footerRows

boost::optional<unsigned> libetonyek::IWORKTabularModelElement::m_footerRows
| private

Referenced by attribute(), and endOfElement().

## ◆ m_headerColumns

boost::optional<unsigned> libetonyek::IWORKTabularModelElement::m_headerColumns
| private

Referenced by attribute(), and endOfElement().

## ◆ m_headerRows

boost::optional<unsigned> libetonyek::IWORKTabularModelElement::m_headerRows
| private

Referenced by attribute(), and endOfElement().

## ◆ m_id

boost::optional<ID_t> libetonyek::IWORKTabularModelElement::m_id
| private

Referenced by attribute(), and endOfElement().

## ◆ m_isDefinition

bool libetonyek::IWORKTabularModelElement::m_isDefinition
| private

Referenced by endOfElement(), and startOfElement().

## ◆ m_styleRef

boost::optional<ID_t> libetonyek::IWORKTabularModelElement::m_styleRef
| private

Referenced by element(), and endOfElement().

## ◆ m_tableId

boost::optional<std::string> libetonyek::IWORKTabularModelElement::m_tableId
| private

Referenced by attribute(), and endOfElement().

## ◆ m_tableName

boost::optional<std::string> libetonyek::IWORKTabularModelElement::m_tableName
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKTabularModelElement.h
- IWORKTabularModelElement.cpp